
### IntelliJ IDEA ###
.idea
*.iws
*.iml
*.ipr
*.class
*.log


### Eclipse & STS ###
.apt_generated
.classpath
.factorypath
.project
.settings
.springBeans
.sts4-cache


### NetBeans ###
/nbproject/private/
/nbbuild/
/dist/
/nbdist/
/.nb-gradle/
build/
!**/src/main/**/build/
!**/src/test/**/build/


### VS Code ###
.vscode
node_modules
package-lock.json
yarn.lock


### Package Files ###
*.zip
*.war
*.ear
!.mvn/wrapper/maven-wrapper.jar
!**/src/main/**/target/
!**/src/test/**/target/
target/

.flattened-pom.xml
.DS_Store

